Compiling prelude-manager-0.9.11 on Solaris fails (strsep missing)
Status: Closed Start date:  
Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.11.1   

Resolution: fixed   

Description

Compiling prelude-manager-0.9.11 on Solaris(10) fails with following error:

gcc -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wbad-function-ca

st -Wcast-qual -Wcast-align -Wnested-externs -Wunused -Wformat -Wformat-security -o prelude-manage

r -D_REENTRANT -pthreads .libs/prelude-managerS.o bufpool.o manager-options.o prelude-manager.o fi

lter-plugins.o manager-auth.o pmsg-to-idmef.o report-plugins.o server-logic.o server-generic.o sen

sor-server.o decode-plugins.o idmef-message-scheduler.o reverse-relaying.o  -L/usr/local/lib /usr/

local/lib/libprelude.so -L/usr/local/ssl/lib -L/usr/openwin/lib -L/usr/lib -L/usr/local/BerkeleyDB

.4.2/lib -L/usr/X11R6/lib /usr/local/lib/libgnutls.so -lz /usr/local/lib/libgcrypt.so -lnsl -lsock

et /usr/local/lib/libgpg-error.so -lrt -ldl ../libmissing/.libs/libmissing.a   -R/usr/local/lib -R

/usr/local/lib

Undefined                       first referenced

 symbol                             in file

strsep                              manager-options.o

ld: fatal: Symbol referencing errors. No output written to prelude-manager

collect2: ld returned 1 exit status

rm -f .libs/prelude-managerS.o

gmaker3: *** [prelude-manager] Error 1

gmaker3: Leaving directory @/data/dummy/prelude-manager-0.9.11/src'

gmaker2: *** [all-recursive] Error 1

gmaker2: Leaving directory @/data/dummy/prelude-manager-0.9.11/src'

gmaker1: *** [all-recursive] Error 1

gmaker1: Leaving directory @/data/dummy/prelude-manager-0.9.11'

gmake: *** [all] Error 2

 

There is no strsep() on Solaris.

A workaround could be:

[http://www.winehq.org/pipermail/wine-patches/2001-November/001322.html]

History

#1 - 02/06/2008 02:48 PM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to fixed

(In r10147) Continued update for strsep (fix #277).

#2 - 02/06/2008 02:58 PM - Yoann VANDOORSELAERE

Version 0.9.11.1 of Prelude-Manager, which fix this issue, is now available from download.

Thanks for reporting this!

#3 - 04/29/2009 12:20 PM - Yoann VANDOORSELAERE
http://www.winehq.org/pipermail/wine-patches/2001-November/001322.html
http://www.prelude-siem.org/issues/277


- Project changed from PRELUDE SIEM to Prelude Manager

- Category deleted (3)

- Target version deleted (0.9.11.1)
